# class ItemMoveJob

###

Module | akonadi
Namespace | Akonadi
Class | ItemMoveJob
Inherits | Akonadi::Job

Moves items into a different collection.

### methods

- ItemMoveJob (item, target, parent)

  returns ctor

  Argument | Type | Default
  --- | --- | ---
  item | Akonadi.Item |
  target | Akonadi.Collection |
  parent | QObject | 0

  Move the given item into collection target.

  item - The item to move.

  target - The target collection.

  parent - The parent object.

- doStart ( )

  returns Nothing